Remove post note reaction
curl --request DELETE \
--url https://app.trypost.it/api/posts/{post}/notes/{note}/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emoji": "π"
}'import requests
url = "https://app.trypost.it/api/posts/{post}/notes/{note}/reactions"
payload = { "emoji": "π" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emoji: 'π'})
};
fetch('https://app.trypost.it/api/posts/{post}/notes/{note}/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.trypost.it/api/posts/{post}/notes/{note}/reactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'emoji' => 'π'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.trypost.it/api/posts/{post}/notes/{note}/reactions"
payload := strings.NewReader("{\n \"emoji\": \"π\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.trypost.it/api/posts/{post}/notes/{note}/reactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"emoji\": \"π\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.trypost.it/api/posts/{post}/notes/{note}/reactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"emoji\": \"π\"\n}"
response = http.request(request)
puts response.read_body{
"id": "9d3c2a10-3b4c-4d5e-8f6a-7b8c9d0e1f2a",
"post_id": "9d3c1f2a-6b4e-4c8a-9f1e-2a7b5c8d0e41",
"body": "@[user:9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b] can we swap the image for the dark version?",
"mentions": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
}
],
"reactions": [
{
"emoji": "π",
"count": 1,
"users": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
}
]
}
],
"author": {
"id": "9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e",
"name": "Ana Souza",
"photo_url": "https://media.trypost.it/medias/9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e.jpg"
},
"created_at": "2026-10-08 14:02:45",
"updated_at": "2026-10-08 14:02:45"
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "Pick a single emoji.",
"errors": {
"emoji": [
"Pick a single emoji."
]
}
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Post notes
Remove post note reaction
Takes back the API keyβs userβs reaction with that emoji. Only your own reaction is removed; when you had not reacted with that emoji, nothing changes. A note of another post returns 404.
DELETE
/
posts
/
{post}
/
notes
/
{note}
/
reactions
Remove post note reaction
curl --request DELETE \
--url https://app.trypost.it/api/posts/{post}/notes/{note}/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emoji": "π"
}'import requests
url = "https://app.trypost.it/api/posts/{post}/notes/{note}/reactions"
payload = { "emoji": "π" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emoji: 'π'})
};
fetch('https://app.trypost.it/api/posts/{post}/notes/{note}/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.trypost.it/api/posts/{post}/notes/{note}/reactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'emoji' => 'π'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.trypost.it/api/posts/{post}/notes/{note}/reactions"
payload := strings.NewReader("{\n \"emoji\": \"π\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.trypost.it/api/posts/{post}/notes/{note}/reactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"emoji\": \"π\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.trypost.it/api/posts/{post}/notes/{note}/reactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"emoji\": \"π\"\n}"
response = http.request(request)
puts response.read_body{
"id": "9d3c2a10-3b4c-4d5e-8f6a-7b8c9d0e1f2a",
"post_id": "9d3c1f2a-6b4e-4c8a-9f1e-2a7b5c8d0e41",
"body": "@[user:9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b] can we swap the image for the dark version?",
"mentions": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
}
],
"reactions": [
{
"emoji": "π",
"count": 1,
"users": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
}
]
}
],
"author": {
"id": "9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e",
"name": "Ana Souza",
"photo_url": "https://media.trypost.it/medias/9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e.jpg"
},
"created_at": "2026-10-08 14:02:45",
"updated_at": "2026-10-08 14:02:45"
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "Pick a single emoji.",
"errors": {
"emoji": [
"Pick a single emoji."
]
}
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Path Parameters
Response
The note with its reactions.
An internal note on a post. Notes are never published.

